wxGridActivationResult Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
wxGridActivationResult Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/grid.h>`

## Detailed Description

Represents the result of wxGridCellEditor::TryActivate().

Editors overriding wxGridCellEditor::TryActivate() must use one of DoNothing(), DoChange() or DoEdit() methods to return an object of this type corresponding to the desired action.

Since
  3.1.4

## Static Public Member Functions
static wxGridActivationResult | DoNothing ()
| Indicate that nothing should be done and the cell shouldn't be edited at all.
static wxGridActivationResult | DoChange (const wxString &newval)
| Indicate that activating the cell is possible and would change its value to the given one.
static wxGridActivationResult | DoEdit ()
| Indicate that the editor control should be shown and the cell should be edited normally.

## Member Function Documentation

## ◆ DoChange()

wxGridActivationResult wxGridActivationResult::DoChange | ( | const wxString & | newval | ) |
| static

Indicate that activating the cell is possible and would change its value to the given one.

This is the method to call for activatable editors, using it will result in changing the value of the cell to newval without showing the editor control at all.

Note that the change may still be vetoed by wxEVT_GRID_CELL_CHANGING handler.

## ◆ DoEdit()

wxGridActivationResult wxGridActivationResult::DoEdit | ( |  | ) |
| static

Indicate that the editor control should be shown and the cell should be edited normally.

This is the default return value of wxGridCellEditor::TryActivate().

## ◆ DoNothing()

wxGridActivationResult wxGridActivationResult::DoNothing | ( |  | ) |
| static

Indicate that nothing should be done and the cell shouldn't be edited at all.

Note that this is different from DoEdit() and may be useful when the value of the cell wouldn't change if it were activated anyhow, e.g. because the key or mouse event carried by wxGridActivationSource would leave the cell value unchanged.